Author Topic: how to install plugin  (Read 8651 times)

Offline boxyball

  • Full Member
  • ***
  • Posts: 86
how to install plugin
« on: February 02, 2016, 07:59:37 PM »
I can't figure out how to install plugins.
I followed instructions at https://plugins.roundcube.net/
I installed git
I copied composer.json-dist to composer.json
I installed composer
I ran php composer.phar update which did a bunch of stuff
I ended up with a require section that looks like this ...
    "require": {
        "php": ">=5.3.7",
        "roundcube/plugin-installer": "~0.1.6",
        "pear-pear.php.net/auth_sasl": "~1.0.6",
        "pear-pear.php.net/net_idna2": "~0.1.1",
        "pear-pear.php.net/net_sieve": "~1.3.4",
        "pear-pear.php.net/mail_mime": "~1.9.0",
        "pear-pear.php.net/net_smtp": "~1.7.1",
        "patchwork/utf8": "~1.2.3"
    },
I added a comma to the last one then added this:  "roundcube/automatic-addressbook": ">=0.4.2"
And now when I run ...
php composer.phar install
... I get this ...
Warning: The lock file is not up to date with the latest changes in composer.json. You may be getting outdated dependencies. Run update to update them.
Nothing to install or update

... and if I run ...
php composer.phar update
... I get this ...
Your requirements could not be resolved to an installable set of packages.
  Problem 1
    - The requested package roundcube/automatic_addressbook could not be found in any version, there may be a typo in the package name.

I tried automatic-addressbook and automatic_addressbook with same results.
What am I missing?

Offline SKaero

  • Administrator
  • Hero Member
  • *****
  • Posts: 5,557
    • http://SKaero.com/
Re: how to install plugin
« Reply #1 on: February 02, 2016, 08:54:38 PM »
You need to add the require line on the plugin page https://plugins.roundcube.net/packages/sblaisot/automatic_addressbook

Offline boxyball

  • Full Member
  • ***
  • Posts: 86
Re: how to install plugin
« Reply #2 on: February 03, 2016, 12:52:59 AM »
Thanks.
I got a little farther.
But I'm confused why https://plugins.roundcube.net/ says this ...

Don't forget to specify the version constraint:
"require" : {
    ...,
    "roundcube/rcsample": ">=0.2.0"
  },
After every change to composer.json run
php composer.phar install

... but the format you gave me did not have a version constraint and I had to use composer.phar update because install said "nothing to install or update"

So I ran update and composer appeared to install the automatic accressbook and asked if I wanted to activate.
I said yes.
But when I logged into roundcube and sent an email, nothing was added to my default empty personal addresses book.
I did not find any instructions with the addon so is there something else I'm supposed to do?

Offline SKaero

  • Administrator
  • Hero Member
  • *****
  • Posts: 5,557
    • http://SKaero.com/
Re: how to install plugin
« Reply #3 on: February 03, 2016, 01:14:22 AM »
I agree the instructions should read composer update not install, otherwise it looks correct. Is the plugin in the plugins array in the config.inc.php?

Offline boxyball

  • Full Member
  • ***
  • Posts: 86
Re: how to install plugin
« Reply #4 on: February 03, 2016, 01:31:04 AM »
Yes.
The parameter now reads:

$config['plugins'] = array(
        'managesieve',
        'password',
        'automatic_addressbook',
);

Offline SKaero

  • Administrator
  • Hero Member
  • *****
  • Posts: 5,557
    • http://SKaero.com/
Re: how to install plugin
« Reply #5 on: February 03, 2016, 01:37:28 AM »
Well then the plugin installer is doing its job, I'd suggest reaching out to the plugin author for support.

Offline boxyball

  • Full Member
  • ***
  • Posts: 86
Re: how to install plugin
« Reply #6 on: February 03, 2016, 02:03:46 AM »
Working now.  Thanks.
Your first reply actually resolved my problem. 
A mistake on my part kept me from seeing it.

Offline boxyball

  • Full Member
  • ***
  • Posts: 86
Re: how to install plugin
« Reply #7 on: February 05, 2016, 04:46:33 PM »
Now I am installing plugin on other server with older version of php ... 5.3.3
I was able to upgrade to latest roundcube version 1.1.4
But now when I run php composer.phar update I get this:

  [Composer\Downloader\TransportException]
  The "https://plugins.roundcube.net/packages.json" file could not be downloaded: Peer certificate CN=`roundcube.net' did not match expected CN=`plugins.roundcube.net'
  failed to open stream: HTTP request failed!

How do I fix?

Offline boxyball

  • Full Member
  • ***
  • Posts: 86
Re: how to install plugin
« Reply #8 on: February 18, 2016, 01:16:55 PM »
is there a way to manually install the automatic_addressbook plugin (or any plugin) without using the composer?

Offline JohnDoh

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2,314
Re: how to install plugin
« Reply #9 on: February 19, 2016, 02:51:49 AM »
you can download the plugin directly (eg https://github.com/sblaisot/automatic_addressbook), put the files plugins folder of your roundcube installation and then add the plugin to your config. iirc there is a section on the wiki called how to install plugins or something like that which has more detailed insturctions but it appears to be down right now so i cannot get a direct link http://trac.roundcube.net/
Roundcube Plugins: Contextmenu, SpamAssassin Prefs, and more…

Offline natasha01

  • Newbie
  • *
  • Posts: 5
Re: how to install plugin
« Reply #10 on: February 20, 2016, 03:59:01 AM »
This how you can do it for example :

To proceed manually:
Download the plugin on the plugin page. Be sure to select the right Gephi version.
Run Gephi.
Go to the menu Tools > Plugins > Downloaded.
Click on Add Plugins…, and select the NBM or ZIP file you have just downloaded.
Click on Install, and follow the wizard.

Offline noface0711

  • Newbie
  • *
  • Posts: 7
Re: how to install plugin
« Reply #11 on: March 19, 2016, 04:21:18 AM »
is there a way to manually install the automatic_addressbook plugin (or any plugin) without using the composer?